RubyGems Navigation menu

rubocop 0.62.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.18.4 - July 23, 2021 (488 KB)
  2. 1.18.3 - July 06, 2021 (488 KB)
  3. 1.18.2 - July 02, 2021 (487 KB)
  4. 1.18.1 - June 30, 2021 (487 KB)
  5. 1.18.0 - June 29, 2021 (487 KB)
  6. 0.62.0 - January 01, 2019 (406 KB)
Show all versions (185 total)

Runtime Dependencies (7):

  • jaro_winkler ~> 1.5.1
  • parallel ~> 1.10
  • parser != 2.5.1.1, >= 2.5
  • powerpack ~> 0.1
  • rainbow < 4.0, >= 2.2.2
  • ruby-progressbar ~> 1.7
  • unicode-display_width ~> 1.4.0
  • Development Dependencies (2):

  • bundler < 3.0, >= 1.3.0
  • rack >= 2.0
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    73bb7e9b97e35444c37a9164e5a644518807fba613a790e1e234ae9b7fcfca0e

    Total downloads 172,406,192

    For this version 941,289

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.2.0

    Links: